Preview Template
POST
/api/v1/workflows/templates/{template_id}/preview
const url = 'https://api.ultimateteam.ai/api/v1/workflows/templates/example/preview';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"initial_input":{},"params":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/workflows/templates/example/preview \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "initial_input": {}, "params": {} }'Preview a template’s workflow definition without executing.
Returns the instantiated WorkflowDefinition with the given parameters, allowing the visual builder to load the template onto the canvas for customization before saving.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”template_id
required
Template Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
TriggerRequest
Request body for triggering a workflow template.
Attributes: params: Template-specific parameters. initial_input: Optional seed data for the first step.
object
Examplegenerated
{ "initial_input": {}, "params": {}}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Preview Template Api V1 Workflows Templates Template Id Preview Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}